Subject: bug#64031: closed (Re: bug#64031: Guix system entirely broken by updating second runc or by accidental hard reset)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 15 Jun 2023 15:56:02 +0000

Your bug report

#64031: Guix system entirely broken by updating second runc or by accidental hard reset

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64031: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64031
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#64031: Guix system entirely broken by updating second runc or by accidental hard reset
From: Ludovic Courtès <[email-masked]>
To: Steven Roose <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Jun 2023 17:55:26 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Steven Roose <[email-masked]> skribis:

> Ok, I don't know how to close this issue, but I managed to fix it with
> guix package --roll-back. I took me so long to find that possibility
> because both `guix system` and `guix home` have a `roll-back`
> *command* while in packages it's a flag. I thought it was for
> individual packages maybe.
>
> I don't know how to close issues here, but someone feel free to close this.

Hi!  Glad you found the explanation and solution.

I’m closing by emailing to 64031-done.

Thanks,
Ludo’.

Subject: Guix system entirely broken by updating second runc or by accidental hard reset
From: Steven Roose <[email-masked]>
To: [email-masked]
Date: Tue, 13 Jun 2023 04:25:18 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

I'm writing this from my phone after a 3 hour attempt to fix my Guix system without success, it seems totally FUBAR.

So here is what I did:

$ guix package -I runc

Shortly after, my battery ran out and my laptop did a hard reset (yes trying to configure hibernate on low battery has been on my todo list for a while). I think the above command already finished when it reset, but I'm not entirely sure. It's been some hours.

So the current situation is this:

* All GUI apps I tried give "command not found", hence no Firefox or Thunderbird.
* My ~/.guix-profile/manifest is empty. Meaning that all guix package commands done in this profile give "unsupported manifest format".
* Idk if this is normal, but listing profiles as my regular user lists two profiles: ~/.guix-profile and ~/.config/guix/current.

I tried various things:

* editing PATH to remove my user profile (thinking this might use another runc) 
* running guix package -r from a root bash using the --profile= flag for the broken profile: same manifest error. When doing this for the ~/.config/guix/current profile, it says no runc found.
* guix pull, reconfigure and reboot from root
* asking for help on IRC (weechat works yay) 

I'm kinda hopeless. I can't do anything productive.

If I should post this in a forum instead of here, feel free to forward me.